Available in Classic and VPC
Register a private key of a certificate.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| POST | /certificate/registPrivateKey |
Request headers
For information about the headers common to all Certificate Manager APIs, see Common Certificate Manager headers.
Request body
You can include the following data in the body of your request:
| Field | Type | Required | Description |
|---|---|---|---|
certificateNo |
Integer | Required | Certificate number |
privateKey |
String | Required | PEM file of certificate private key |
Request example
The request example is as follows:
curl --location --request POST 'https://certificatemanager.apigw.ntruss.com/api/v2/certificate/requestCertificateIssuance' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json' \
--header 'accept: application/json' \
--data '{
"certificateNo": 1234,
"privateKey": "-----BEGIN RSA PRIVATE KEY-----\nMIIEpAIBAAKCAQEA...\n-----END RSA PRIVATE KEY-----"
}'
Response
This section describes the response format.
Response body
The response body includes the following data:
| Field | Type | Required | Description |
|---|---|---|---|
returnCode |
String | - | Response code |
returnMessage |
String | - | Response message |
totalRows |
Integer | - | Total number of lists searched |
Response status codes
For information about the HTTP status codes common to all Certificate Manager APIs, see Common Certificate Manager response status codes.
Response example
The response example is as follows:
{
"returnCode": "0",
"returnMessage": "Success",
"totalRows": 0
}